
ChiliProject - Feature # 132: My Page blocks for Forums

Status: Ready for review Priority: Normal
Author: Derek Montgomery Category: My Page
Created: 2011-02-03 Assignee:
Updated: 2011-02-12 Due date:
Remote issue URL:
Affected version:
Description: It would be convenient to have the same tracking as issue tracking for forums on the user page (at least own 

created topics list for example)

The sentence was quite confusing indeed.
On "My page", you can have the following blocks:
* issues you submitted
* issues you are watching
* issues assigned to you

It might be convenient/interesting to have the following blocks too:
* last x topics you started
* last x topics you participated in
* topics you are watching

Is that any clearer?

Associated revisions
2011-12-10 10:29 pm - Eric Davis
Merge pull request #132 from mbreit/feature/733-issue-due-today

[#733] Add Issue#due_today? and add due-today css class

History
2011-02-04 01:30 am - Eric Davis
- Status changed from Open to Needs more information

I'm not sure I understand, can you give me an example?

2011-02-04 06:43 am - Derek Montgomery
The sentence was quite confusing indeed.
On "My page", you can have the following blocks:
* issues you submitted
* issues you are watching
* issues assigned to you

It might be convenient/interesting to have the following blocks too:
* last x topics you started
* last x topics you participated in
* topics you are watching

Is that any clearer?

2011-02-04 06:44 am - Derek Montgomery
- Status changed from Needs more information to Open
2011-02-05 12:59 am - Eric Davis
- Subject changed from Forums tracking on user page to My Page blocks for Forums

- Category changed from User accounts to My Page

Ah okay, I understand now. I usually call those My Page Blocks.  I've updated the title and description.

2011-02-11 04:28 pm - Felix Schäfer
- Assignee set to Felix Schäfer

I've started on this, that requires some smaller changes to the forum views though, so it'll take a little more work.

Eric: want to include this in 1.1.0 or 1.2.0?

2011-02-11 06:59 pm - Eric Davis
Felix: I'll have to see what the changes are. If they are minor we can put them into a minor release (1.1.0/1.x.0) but if they are major we will need to put 
them into 2.0.0.

2011-02-11 09:33 pm - Felix Schäfer
Eric Davis wrote:
> Felix: I'll have to see what the changes are.

That would mostly be pulling view parts out to partials, so no "code change" per se. Would that work for a minor, or should I just create additional 
partials for what I need and we can merge/simplify it for the next major?

2011-02-11 11:52 pm - Eric Davis
If it's just extracting to partials it should be fine for minor.

2011-02-12 06:46 am - Felix Schäfer
Alexandre Nizoux wrote:
> * last x topics you participated in

Eric: I'm having a little problem with that one: I think I'd more ore less manage that one with SQL subqueries, but I'm not sure how or if I can get there 
using AR. Could you see if you have an idea for a query?

What I need is a unique list of visible threads (@Message.visible.all :condition => {:parent_id => nil}@) that contain a message created by the current 
user. My problem is that topics are essentially a @Message@ without a parent, thus "topics containing a message created by the current user" can be 
either a message with no parent created by the user or the parent of a message create by the user and all those together have to be uniqued. Do you 
have an idea how to get those short of collecting all the corresponding IDs in ruby, uniq them and select all topics that way?

2011-02-12 02:18 pm - Felix Schäfer
- Assignee deleted (Felix Schäfer)

- Status changed from Open to Ready for review

Ok, I have a working version, I'm a little unsatisfied with the "threads I participated in" bit, but I couldn't think of a better way other than redesigning the 
DB schema.

The pull request: https://github.com/chiliproject/chiliproject/pull/6, I'll wait on a code review from either Eric or Holger on this one though.
Eric: I didn't change existing views after all, I made a list that's a little more lightweight than what is already in there, so no extraction for now.
